#ifndef PLAYICONLABEL_H
#define PLAYICONLABEL_H

#include <QLabel>

class PlayIconLabel : public QLabel
{
    Q_OBJECT
public:
    PlayIconLabel(const QString& iconName, const QString& currentStyle, QWidget *parent = nullptr);

public slots:
    void onToggled(bool checked);
    void onStyleChanged(QString newStyle);
    void onIconThemeChanged();

private:
    void resetPixmap();
    void resetPixmapByCurrentStyle();

    QPixmap getVedioPixmapByStyle(const QString& styleName) const;
    QPixmap getVedioPixmapFillWithColor(Qt::GlobalColor color) const;

    QPixmap processPixmapAccordingStyle(const QPixmap& pixmap, const QString& styleName) const;
    QPixmap fillPixmapByColor(const QPixmap& pixmap, Qt::GlobalColor color) const;

    const QString m_iconName;
    QString m_currentStyle;
    bool m_checked;
};

#endif // PLAYICONLABEL_H
