#ifndef TOUCHPADDEVICEHELPER_H
#define TOUCHPADDEVICEHELPER_H

#include <QStringList>
#include <QDebug>

extern "C" {
#include <X11/extensions/XInput.h>
}

class TouchpadDeviceHelper
{
public:
    static bool hasTouchPad();
private:
    static bool hasTouchpadOnWayland();
    static QStringList getKDEKwinDeviceList();
    static QStringList getUKUIKwinDeviceList();
    static bool deviceIsTouchpad(const QString& device, bool isUKUI);

    static bool hasTouchpadOnX11();
    static XDevice* deviceIsTouchpad(XDeviceInfo* deviceinfo);
    static bool supportsXinputDevices();
    static bool deviceHasProperty(XDevice *device, const char *property_name);
};

#endif // TOUCHPADDEVICEHELPER_H
