QT += core gui widgets dbus# multimedia multimediawidgets

TEMPLATE = lib
DEFINES += TOUCHSCREENSETTINGS_LIBRARY
CONFIG += plugin

CONFIG += c++11 \
          link_pkgconfig

PKGCONFIG += gsettings-qt \
             kysdk-qtwidgets

TARGET = $$qtLibraryTarget(touchscreenui)
target.path = $$[QT_INSTALL_LIBS]/ukui-control-center

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

#QMAKE_LN_SHLIB = :

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

LIBS += -lukcc

include(../gesture-widget/gesture-widget.pri)
include(item-widget/item-widget.pri)
include(flow-layout/flow-layout.pri)
include(../native-filter/native-filter.pri)
include(../settings-common/settings-common.pri)
#include(video-widget/video-widget.pri)

SOURCES += \
    gestureguidance.cpp \
    touchscreen-settings.cpp \
    touchscreen.cpp

HEADERS += \
    gestureguidance.h \
    touchscreen-settings.h \
    touchscreen.h

TRANSLATIONS += \
    translations/zh_CN.ts \
    translations/bo_CN.ts \
    translations/mn_MN.ts

isEmpty(PREFIX) {
    PREFIX = /usr
}

qm_files.path = $${PREFIX}/share/touchscreen-settings/translations
qm_files.files = translations/*

CONFIG(release, debug|release) {
    !system($$PWD/translate_generation.sh): error("Failed to generate translation")
}

INSTALLS += target \
            qm_files

FORMS += \
    gestureguidance.ui \
    touchscreen.ui

RESOURCES += \
    resources.qrc
